### Method

# Snapd Client abort_change_async

since: 1.30

#### Declaration [src]

    void
    snapd_client_abort_change_async (
      SnapdClient* client,
      const gchar* id,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously abort a change. See `snapd_client_abort_change_sync()` for more information.

Available since: 1.30

This method completes asynchronously. Use `snapd_client_abort_change_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`id`

  Type: `const gchar*`

  A change ID to abort.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.